<?php

/**
 * @file
 * Bulk export of views_default objects generated by Bulk export module.
 */

/**
 * Implementation of hook_views_default_views()
 */
function tableau_views_default_views() {
  $views = array();

  // Tableau content
  // ----------------------------------------------------------------
  $view = new view();
  $view->name = 'tableau';
  $view->description = 'Default view for Tableau content';
  $view->tag = 'default';
  $view->base_table = '_views';
  $view->human_name = 'Tableau';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Tableau';
  $handler->display->display_options['use_ajax'] = TRUE;
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'access tableau content';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'name_1' => 'name_1',
    'name_2' => 'name_2',
    'name' => 'name',
    'title' => 'title',
    'friendly_name' => 'friendly_name',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'name_1' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'name_2' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'name' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'title' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'friendly_name' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  $handler->display->display_options['style_options']['sticky'] = TRUE;
  /* Relationship: Tableau View: Workbook */
  $handler->display->display_options['relationships']['workbook_id']['id'] = 'workbook_id';
  $handler->display->display_options['relationships']['workbook_id']['table'] = '_views';
  $handler->display->display_options['relationships']['workbook_id']['field'] = 'workbook_id';
  /* Field: Tableau Site: Site name */
  $handler->display->display_options['fields']['name_1']['id'] = 'name_1';
  $handler->display->display_options['fields']['name_1']['table'] = '_sites';
  $handler->display->display_options['fields']['name_1']['field'] = 'name';
  $handler->display->display_options['fields']['name_1']['label'] = 'Site';
  $handler->display->display_options['fields']['name_1']['element_label_colon'] = FALSE;
  /* Field: Tableau Project: Project name */
  $handler->display->display_options['fields']['name_2']['id'] = 'name_2';
  $handler->display->display_options['fields']['name_2']['table'] = '_projects';
  $handler->display->display_options['fields']['name_2']['field'] = 'name';
  $handler->display->display_options['fields']['name_2']['relationship'] = 'workbook_id';
  $handler->display->display_options['fields']['name_2']['label'] = 'Project';
  $handler->display->display_options['fields']['name_2']['element_label_colon'] = FALSE;
  /* Field: Tableau Workbook: Workbook ID */
  $handler->display->display_options['fields']['id']['id'] = 'id';
  $handler->display->display_options['fields']['id']['table'] = '_workbooks';
  $handler->display->display_options['fields']['id']['field'] = 'id';
  $handler->display->display_options['fields']['id']['relationship'] = 'workbook_id';
  $handler->display->display_options['fields']['id']['label'] = '';
  $handler->display->display_options['fields']['id']['exclude'] = TRUE;
  $handler->display->display_options['fields']['id']['element_label_colon'] = FALSE;
  /* Field: Tableau Workbook: Workbook name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = '_workbooks';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['relationship'] = 'workbook_id';
  $handler->display->display_options['fields']['name']['label'] = 'Workbook';
  $handler->display->display_options['fields']['name']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['name']['alter']['path'] = 'tableau/workbook/[id]';
  $handler->display->display_options['fields']['name']['element_label_colon'] = FALSE;
  /* Field: Tableau View: View ID */
  $handler->display->display_options['fields']['id_1']['id'] = 'id_1';
  $handler->display->display_options['fields']['id_1']['table'] = '_views';
  $handler->display->display_options['fields']['id_1']['field'] = 'id';
  $handler->display->display_options['fields']['id_1']['label'] = '';
  $handler->display->display_options['fields']['id_1']['exclude'] = TRUE;
  $handler->display->display_options['fields']['id_1']['element_label_colon'] = FALSE;
  /* Field: Tableau View: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = '_views';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = 'View';
  $handler->display->display_options['fields']['title']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['title']['alter']['path'] = 'tableau/view/[id_1]';
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  /* Field: Tableau User: Friendly name */
  $handler->display->display_options['fields']['friendly_name']['id'] = 'friendly_name';
  $handler->display->display_options['fields']['friendly_name']['table'] = '_users';
  $handler->display->display_options['fields']['friendly_name']['field'] = 'friendly_name';
  $handler->display->display_options['fields']['friendly_name']['label'] = 'Owner';
  $handler->display->display_options['fields']['friendly_name']['element_label_colon'] = FALSE;
  /* Sort criterion: Tableau Site: Site ID */
  $handler->display->display_options['sorts']['id_1']['id'] = 'id_1';
  $handler->display->display_options['sorts']['id_1']['table'] = '_sites';
  $handler->display->display_options['sorts']['id_1']['field'] = 'id';
  /* Sort criterion: Tableau Project: Project ID */
  $handler->display->display_options['sorts']['id']['id'] = 'id';
  $handler->display->display_options['sorts']['id']['table'] = '_projects';
  $handler->display->display_options['sorts']['id']['field'] = 'id';
  $handler->display->display_options['sorts']['id']['relationship'] = 'workbook_id';
  /* Sort criterion: Tableau Workbook: Workbook ID */
  $handler->display->display_options['sorts']['id_2']['id'] = 'id_2';
  $handler->display->display_options['sorts']['id_2']['table'] = '_workbooks';
  $handler->display->display_options['sorts']['id_2']['field'] = 'id';
  $handler->display->display_options['sorts']['id_2']['relationship'] = 'workbook_id';
  /* Sort criterion: Tableau View: Index */
  $handler->display->display_options['sorts']['index']['id'] = 'index';
  $handler->display->display_options['sorts']['index']['table'] = '_views';
  $handler->display->display_options['sorts']['index']['field'] = 'index';

  /* Display: Tableau */
  $handler = $view->new_display('page', 'Tableau', 'tableau_page');
  $handler->display->display_options['path'] = 'tableau';

  /* Display: Tableau View */
  $handler = $view->new_display('page', 'Tableau View', 'tableau_view_page');
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['pager']['options']['items_per_page'] = '1';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'tableau_view';
  $handler->display->display_options['row_options']['height'] = '100%';
  $handler->display->display_options['row_options']['format'] = 'interactive';
  $handler->display->display_options['row_options']['toolbar'] = 'yes';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Tableau View: View ID */
  $handler->display->display_options['arguments']['id']['id'] = 'id';
  $handler->display->display_options['arguments']['id']['table'] = '_views';
  $handler->display->display_options['arguments']['id']['field'] = 'id';
  $handler->display->display_options['arguments']['id']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['id']['title_enable'] = TRUE;
  $handler->display->display_options['arguments']['id']['title'] = '%1';
  $handler->display->display_options['arguments']['id']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['id']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['id']['specify_validation'] = TRUE;
  $handler->display->display_options['arguments']['id']['validate']['type'] = 'tableau_access';
  $handler->display->display_options['path'] = 'tableau/view/%';

  /* Display: Tableau Workbook */
  $handler = $view->new_display('page', 'Tableau Workbook', 'tableau_workbook_page');
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'grid';
  $handler->display->display_options['style_options']['row_class_special'] = FALSE;
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Tableau View: View ID */
  $handler->display->display_options['fields']['id_1']['id'] = 'id_1';
  $handler->display->display_options['fields']['id_1']['table'] = '_views';
  $handler->display->display_options['fields']['id_1']['field'] = 'id';
  $handler->display->display_options['fields']['id_1']['label'] = '';
  $handler->display->display_options['fields']['id_1']['exclude'] = TRUE;
  $handler->display->display_options['fields']['id_1']['element_label_colon'] = FALSE;
  /* Field: Tableau View: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = '_views';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['title']['alter']['path'] = 'tableau/view/[id_1]';
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  /* Field: Tableau View: Thumbnail */
  $handler->display->display_options['fields']['thumbnail']['id'] = 'thumbnail';
  $handler->display->display_options['fields']['thumbnail']['table'] = '_views';
  $handler->display->display_options['fields']['thumbnail']['field'] = 'thumbnail';
  $handler->display->display_options['fields']['thumbnail']['label'] = '';
  $handler->display->display_options['fields']['thumbnail']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['thumbnail']['alter']['path'] = 'tableau/view/[id_1]';
  $handler->display->display_options['fields']['thumbnail']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['thumbnail']['hide_alter_empty'] = FALSE;
  /* Field: Tableau View: All tags */
  $handler->display->display_options['fields']['tags']['id'] = 'tags';
  $handler->display->display_options['fields']['tags']['table'] = '_views';
  $handler->display->display_options['fields']['tags']['field'] = 'tags';
  $handler->display->display_options['fields']['tags']['label'] = 'Tags';
  $handler->display->display_options['fields']['tags']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['tags']['link_to_tag'] = 'tableau/tag/[tag_name]';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Tableau Workbook: Workbook ID */
  $handler->display->display_options['sorts']['id_2']['id'] = 'id_2';
  $handler->display->display_options['sorts']['id_2']['table'] = '_workbooks';
  $handler->display->display_options['sorts']['id_2']['field'] = 'id';
  $handler->display->display_options['sorts']['id_2']['relationship'] = 'workbook_id';
  /* Sort criterion: Tableau View: Index */
  $handler->display->display_options['sorts']['index']['id'] = 'index';
  $handler->display->display_options['sorts']['index']['table'] = '_views';
  $handler->display->display_options['sorts']['index']['field'] = 'index';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Tableau Workbook: Workbook ID */
  $handler->display->display_options['arguments']['id']['id'] = 'id';
  $handler->display->display_options['arguments']['id']['table'] = '_workbooks';
  $handler->display->display_options['arguments']['id']['field'] = 'id';
  $handler->display->display_options['arguments']['id']['relationship'] = 'workbook_id';
  $handler->display->display_options['arguments']['id']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['id']['title_enable'] = TRUE;
  $handler->display->display_options['arguments']['id']['title'] = '%1';
  $handler->display->display_options['arguments']['id']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['id']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['id']['specify_validation'] = TRUE;
  $handler->display->display_options['arguments']['id']['validate']['type'] = 'tableau_access';
  $handler->display->display_options['path'] = 'tableau/workbook/%';
  $translatables['tableau'] = array(
    t('Master'),
    t('Tableau'),
    t('more'),
    t('Apply'),
    t('Reset'),
    t('Sort by'),
    t('Asc'),
    t('Desc'),
    t('View workbook'),
    t('Site'),
    t('Project'),
    t('Workbook'),
    t('View'),
    t('Owner'),
    t('Tableau View'),
    t('All'),
    t('%1'),
    t('Tableau Workbook'),
    t('Tags'),
  );
  $views[$view->name] = $view;

  // Tableau tagged content
  // ----------------------------------------------------------------
  $view = new view();
  $view->name = 'tableau_tags';
  $view->description = 'List of tagged content';
  $view->tag = 'default';
  $view->base_table = '_views';
  $view->human_name = 'Tableau Tags';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Tableau - Tagged views';
  $handler->display->display_options['use_ajax'] = TRUE;
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '12';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['pager']['options']['quantity'] = '9';
  $handler->display->display_options['style_plugin'] = 'grid';
  $handler->display->display_options['row_plugin'] = 'fields';
  /* Field: Tableau View: View ID */
  $handler->display->display_options['fields']['id']['id'] = 'id';
  $handler->display->display_options['fields']['id']['table'] = '_views';
  $handler->display->display_options['fields']['id']['field'] = 'id';
  $handler->display->display_options['fields']['id']['label'] = '';
  $handler->display->display_options['fields']['id']['exclude'] = TRUE;
  $handler->display->display_options['fields']['id']['element_label_colon'] = FALSE;
  /* Field: Tableau View: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = '_views';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['title']['alter']['path'] = 'tableau/view/[id]';
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  /* Field: Tableau View: Thumbnail */
  $handler->display->display_options['fields']['thumbnail']['id'] = 'thumbnail';
  $handler->display->display_options['fields']['thumbnail']['table'] = '_views';
  $handler->display->display_options['fields']['thumbnail']['field'] = 'thumbnail';
  $handler->display->display_options['fields']['thumbnail']['label'] = '';
  $handler->display->display_options['fields']['thumbnail']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['thumbnail']['alter']['path'] = 'tableau/view/[id]';
  $handler->display->display_options['fields']['thumbnail']['element_label_colon'] = FALSE;
  /* Field: Tableau Workbook: Workbook ID */
  $handler->display->display_options['fields']['id_1']['id'] = 'id_1';
  $handler->display->display_options['fields']['id_1']['table'] = '_workbooks';
  $handler->display->display_options['fields']['id_1']['field'] = 'id';
  $handler->display->display_options['fields']['id_1']['label'] = '';
  $handler->display->display_options['fields']['id_1']['exclude'] = TRUE;
  $handler->display->display_options['fields']['id_1']['element_label_colon'] = FALSE;
  /* Field: Tableau Workbook: Workbook name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = '_workbooks';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['label'] = 'Workbook';
  $handler->display->display_options['fields']['name']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['name']['alter']['path'] = 'tableau/workbook/[id_1]';
  /* Field: Tableau View: All tags */
  $handler->display->display_options['fields']['tags']['id'] = 'tags';
  $handler->display->display_options['fields']['tags']['table'] = '_views';
  $handler->display->display_options['fields']['tags']['field'] = 'tags';
  $handler->display->display_options['fields']['tags']['label'] = 'Tags';
  $handler->display->display_options['fields']['tags']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['tags']['link_to_tag'] = 'tableau/tag/[tag_name]';
  /* Contextual filter: Tableau Tag: Tag name */
  $handler->display->display_options['arguments']['tag_name']['id'] = 'tag_name';
  $handler->display->display_options['arguments']['tag_name']['table'] = '_tags';
  $handler->display->display_options['arguments']['tag_name']['field'] = 'tag_name';
  $handler->display->display_options['arguments']['tag_name']['title_enable'] = TRUE;
  $handler->display->display_options['arguments']['tag_name']['title'] = 'Views tagged "%1"';
  $handler->display->display_options['arguments']['tag_name']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['tag_name']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['tag_name']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['tag_name']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['tag_name']['specify_validation'] = TRUE;
  $handler->display->display_options['arguments']['tag_name']['validate']['type'] = 'tableau_access';
  $handler->display->display_options['arguments']['tag_name']['limit'] = '0';

  /* Display: Tagged views */
  $handler = $view->new_display('page', 'Tagged views', 'tableau_tagged_views_page');
  $handler->display->display_options['path'] = 'tableau/tag/%';
  $translatables['tableau_tags'] = array(
    t('Master'),
    t('Tableau - Tagged views'),
    t('more'),
    t('Apply'),
    t('Reset'),
    t('Sort by'),
    t('Asc'),
    t('Desc'),
    t('Items per page'),
    t('- All -'),
    t('Offset'),
    t('« first'),
    t('‹ previous'),
    t('next ›'),
    t('last »'),
    t('Workbook'),
    t('Tags'),
    t('All'),
    t('Views tagged "%1"'),
    t('Tagged views'),
  );
  $views[$view->name] = $view;

  return $views;
}
